Page MenuHomePhabricator

PHP Notice: Undefined property: Message::$isDisabled
Closed, ResolvedPublic

Description

-rakkaus:#mediawiki-i18n- (4 lines skipped) [06-Jul-2015 20:10:51 UTC] PHP Notice:  Undefined property: Message::$isDisabled in
          /srv/mediawiki/tags/2015-07-06_20:08:35/extensions/CirrusSearch/includes/Hooks.php on line 168

Event Timeline

Nemo_bis created this task.Jul 6 2015, 8:12 PM
Nemo_bis raised the priority of this task from to Medium.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: CirrusSearch.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 6 2015, 8:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Sorry. Fixing now.

Reproduce in vagrant:

bash
tail -F logs/hhvm/error.log | grep isDisabled
bash
curl 'http://cirrustest.wiki.local.wmftest.net:8080/w/index.php?title=Special%3ASearch&profile=default&search=morelike%3A&fulltext=Search'

Change 223177 had a related patch set uploaded (by Legoktm):
Add () for function call

https://gerrit.wikimedia.org/r/223177

Change 223177 merged by jenkins-bot:
Add () for function call

https://gerrit.wikimedia.org/r/223177

Manybubbles raised the priority of this task from Medium to Unbreak Now!.Jul 6 2015, 9:21 PM
Manybubbles set Security to None.
Manybubbles moved this task from In Progress to Done on the Discovery-Search (Current work) board.
Nemo_bis closed this task as Resolved.Jul 8 2015, 9:38 AM
Nemo_bis assigned this task to Manybubbles.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptSep 26 2019, 1:53 PM